%define major		7
%define libname		%mklibname gsasl %major
%define develname	%mklibname gsasl -d

Name:		libgsasl
Version:	1.8.1
Release:	%mkrel 2
Summary:	Implementation of the Simple Authentication and Security Layer framework
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.gnu.org/software/gsasl/
Source:		ftp://ftp.gnu.org/gnu/gsasl/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libntlm)
BuildRequires:	pkgconfig(mit-krb5-gssapi)

%description
GNU SASL is an implementation of the Simple Authentication and
Security Layer framework and a few common SASL mechanisms. SASL
is used by network servers (e.g., IMAP, SMTP) to request
authentication from clients, and in clients to authenticate against
servers.

%files -f %name.lang
#--------------------------------------------------------------------

%package -n %libname
Group:		System/Libraries
Summary:	Implementation of the Simple Authentication and Security Layer framework

%description -n %libname
GNU SASL is an implementation of the Simple Authentication and
Security Layer framework and a few common SASL mechanisms. SASL
is used by network servers (e.g., IMAP, SMTP) to request
authentication from clients, and in clients to authenticate against
servers.

%files -n %libname
%_libdir/libgsasl.so.%{major}
%_libdir/libgsasl.so.%{major}.*

#--------------------------------------------------------------------

%package -n %develname
Group:		Development/C
Summary:	Implementation of the Simple Authentication and Security Layer framework
Requires:	%libname = %version
Provides:	%name-devel = %version-%release
Provides:	gsasl-devel = %version-%release

%description -n %develname
GNU SASL is an implementation of the Simple Authentication and
Security Layer framework and a few common SASL mechanisms. SASL
is used by network servers (e.g., IMAP, SMTP) to request
authentication from clients, and in clients to authenticate against
servers.

%files -n %develname
%_libdir/pkgconfig/libgsasl.pc
%_libdir/libgsasl.so
%_includedir/gsasl-compat.h
%_includedir/gsasl-mech.h
%_includedir/gsasl.h

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static --with-gssapi-impl=mit
%make_build

%install
%make_install
%find_lang %name

find %{buildroot} -name '*.la' -delete


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 1.8.1-2.mga8
+ Revision: 1541827
- Mageia 8 Mass Rebuild

* Thu Jan 02 2020 daviddavid <daviddavid> 1.8.1-1.mga8
+ Revision: 1475529
- new version: 1.8.1
- enable MIT GSS implementation

* Sun Sep 23 2018 umeabot <umeabot> 1.8.0-7.mga7
+ Revision: 1298888
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 1.8.0-6.mga6
+ Revision: 939313
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-5.mga5
+ Revision: 746822
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-4.mga5
+ Revision: 681509
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.8.0-3.mga4
+ Revision: 507061
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.8.0-2.mga3
+ Revision: 357384
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 fwang <fwang> 1.8.0-1.mga3
+ Revision: 257664
- new version 1.8.0

* Sun Jan 22 2012 fwang <fwang> 1.6.1-1.mga2
+ Revision: 199391
- new version 1.6.1

* Thu Mar 24 2011 boklm <boklm> 1.6.0-2.mga1
+ Revision: 76171
- rebuild for bug #497

* Fri Mar 11 2011 mikala <mikala> 1.6.0-1.mga1
+ Revision: 68121
- Update tarball to 1.6.0
- Add libntlm-devel as BuildRequires
- Remove BuildRoot
- imported package libgsasl


* Mon Sep 27 2010 John Balcaen <mikala@mandriva.org> 1.4.4-1mdv2011.0
+ Revision: 581404
- Update to 1.4.4
- Use last stable release and update SOURCE url

* Sat Jun 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.29-1mdv2010.0
+ Revision: 383251
- update to new version 0.2.29

* Sun Sep 07 2008 Funda Wang <fwang@mandriva.org> 0.2.28-1mdv2009.0
+ Revision: 282158
- New version 0.2.28

* Sun Aug 17 2008 Emmanuel Andry <eandry@mandriva.org> 0.2.27-1mdv2009.0
+ Revision: 272932
- New version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Mar 01 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.2.9-1mdv2008.1
+ Revision: 177077
- import libgsasl


